## org.codehaus.groovy.grails.test.junit3
Class JUnit3GrailsTestType

    java.lang.Object
      org.codehaus.groovy.grails.test.support.GrailsTestTypeSupport
          org.codehaus.groovy.grails.test.junit3.JUnit3GrailsTestType

All Implemented Interfaces:
  groovy.lang.GroovyObject, GrailsTestType

    public class JUnit3GrailsTestType

extends GrailsTestTypeSupport

An `GrailsTestType` for JUnit3 tests.

Field Summary
`protected JUnit3GrailsTestTypeMode` `mode`
`static String` `TEST_SUFFIX`
`static String` `TESTS_SUFFIX`
`protected junit.framework.TestSuite` `wholeTestSuite`

Constructor Summary
`JUnit3GrailsTestType(String name, String sourceDirectory)`
`JUnit3GrailsTestType(String name, String sourceDirectory, JUnit3GrailsTestTypeMode mode)`

Method Summary
`protected JUnit3GrailsTestTypeRunner` `createRunner(GrailsTestEventPublisher eventPublisher)`
`protected junit.framework.TestSuite` `createTestSuite()`
`protected junit.framework.TestSuite` `createTestSuite(Class clazz)`
`protected junit.framework.TestSuite` `createWholeTestSuite()`
`protected int` `doPrepare()`
`protected GrailsTestTypeResult` `doRun(GrailsTestEventPublisher eventPublisher)`
`protected ApplicationContext` `getApplicationContext()`
`protected List<String>` `getTestSuffixes()`

Methods inherited from class org.codehaus.groovy.grails.test.support.GrailsTestTypeSupport
`$getStaticMetaClass, cleanup, createSystemOutAndErrSwapper, eachSourceFile, findSourceFiles, getBuildBinding, getCompiledClassesDir, getMetaClass, getName, getProperty, getRelativeSourcePath, getSourceDir, getTestClassLoader, getTestExtensions, getTestTargetPatterns, invokeMethod, loadClass, prepare, run, setMetaClass, setProperty, sourceFileToClass, sourceFileToClassFile, sourceFileToClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TESTS_SUFFIX

    public static final String TESTS_SUFFIX

See Also:
  Constant Field Values

### TEST_SUFFIX

    public static final String TEST_SUFFIX

See Also:
  Constant Field Values

### wholeTestSuite

    protected junit.framework.TestSuite wholeTestSuite

### mode

    protected JUnit3GrailsTestTypeMode mode

Constructor Detail

### JUnit3GrailsTestType

    public JUnit3GrailsTestType(String name,
                                String sourceDirectory)

### JUnit3GrailsTestType

    public JUnit3GrailsTestType(String name,
                                String sourceDirectory,
                                JUnit3GrailsTestTypeMode mode)

Method Detail

### getTestSuffixes

    protected List<String> getTestSuffixes()

  Overrides:
    `getTestSuffixes` in class `GrailsTestTypeSupport`

### doPrepare

    protected int doPrepare()

  Specified by:
    `doPrepare` in class `GrailsTestTypeSupport`

### createWholeTestSuite

    protected junit.framework.TestSuite createWholeTestSuite()

### getApplicationContext

    protected ApplicationContext getApplicationContext()

### createTestSuite

    protected junit.framework.TestSuite createTestSuite(Class clazz)

### createTestSuite

    protected junit.framework.TestSuite createTestSuite()

### createRunner

    protected JUnit3GrailsTestTypeRunner createRunner(GrailsTestEventPublisher eventPublisher)

### doRun

    protected GrailsTestTypeResult doRun(GrailsTestEventPublisher eventPublisher)

  Specified by:
    `doRun` in class `GrailsTestTypeSupport`

Copyright (c) 2005-2009 The Grails project